## whereami 0.3.34-0.1

=== debian/control ===
Source: whereami
Section: net
Priority: extra
Maintainer: Andrew McMillan <debian@mcmillan.net.nz>
Standards-Version: 3.6.1.0
Build-Depends: debhelper (>= 4.1.16)
Build-Depends-Indep: docbook-to-man

Package: whereami
Architecture: all
Suggests: pcmcia-cs, fping, net-tools, ifplugd, ethtool, squid | oops
Recommends: wireless-tools, resolvconf, iputils-arping
Depends: perl, debconf (>= 1.2.9) | debconf-2.0, fping | iputils-ping | netbase | dhcp-client
Description: Automatically reconfigure your (laptop) system for a new location
 whereami is a set of useful scripts and a coordinating system for
 automatically re-locating your computer within the current (network)
 environment.
 .
 Typically, you would use whereami to automatically detect and
 re-configure your laptop when you move between a variety of diverse
 networks and/or docking environments.
 .
 Although whereami will work best if all of your networks assign
 addresses through dhcp, this is not a pre-requisite and the system
 allows any technique to be used to ascertain the new location with
 as little ongoing user intervention as possible.
 .
 Having ascertained the correct location, whereami will run appropriate
 (user-configured) scripts to adjust the laptop operation to suit the
 current environment.
 .
 See the man pages for more information.  You may also get useful
 assistance from the debian-laptop mailing list, which is
 frequented by several of the users and contributors.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules file - for whereami
# Copyright 1999-2006 by Andrew McMillan
# Based on the pcmcia package by Brian Mays
# Patterned after the hello package by Ian Jackson.

# The package we are dealing with
package=whereami

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

build-stamp:
	dh_testdir
	umask 022; $(MAKE) all
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) clean
	dh_clean

build:	build-stamp

binary-arch binary-indep: binary

binary:	build
	dh_testdir
	dh_testroot
	dh_clean -k
	$(RM) -r debian/$(package)
	dh_installdebconf
# Install directories
	dh_installdirs DEBIAN etc etc/init.d etc/$(package) \
							etc/$(package) etc/apm etc/apm/scripts.d \
							etc/apm/suspend.d etc/apm/resume.d \
							etc/dhcp3 etc/dhcp3/dhclient-exit-hooks.d \
							etc/network etc/network/if-up.d \
							etc/network/if-pre-up.d \
							etc/network/if-down.d \
							etc/network/if-post-down.d \
							usr usr/sbin usr/share usr/share/doc \
							usr/share/$(package) \
							usr/share/$(package)/actions \
							usr/share/$(package)/tests \
							usr/share/doc/$(package) \
							usr/share/doc/$(package)/html/ \
							usr/share/doc/$(package)/html/images \
							usr/share/doc/$(package)/patches/ \
							usr/share/man usr/share/man/man8 \
							var/run/whereami var/lib/whereami

# Install files
	install bin/$(package) debian/$(package)/usr/sbin/.
	dh_installinit --no-restart-on-upgrade --update-rcd-params="defaults 35 65"
	install bin/whereami.apm debian/$(package)/etc/apm/scripts.d/$(package)
	cd debian/$(package)/etc/apm/suspend.d; ln -s ../scripts.d/$(package) 01$(package)
	cd debian/$(package)/etc/apm/resume.d; ln -s ../scripts.d/$(package) 99$(package)
	install -m644 whereami.conf mail-relay.conf apm.conf detect.conf debian/$(package)/etc/$(package)/.
	install -m755 debian/whereami.dhclient3-exit-hook debian/$(package)/etc/dhcp3/dhclient-exit-hooks.d/whereami
	install -m755 debian/whereami.network-hook debian/$(package)/etc/network/if-pre-up.d/whereami
# If we want to run other than in "pre-up" then we should include something like this.  At this stage just "pre-up" seems right-ish...
# 	(cd debian/$(package)/etc/network; ln -s ../if-pre-up.d/whereami if-up.d/whereami; ln -s ../if-pre-up.d/whereami if-post-down.d/whereami; ln -s ../if-pre-up.d/whereami if-down.d/whereami)
	install -m644 debian/*.patch debian/$(package)/usr/share/doc/$(package)/patches/.
	install -m644 html/*.html debian/$(package)/usr/share/doc/$(package)/html/.
	install -m644 `find html/images -maxdepth 1 -type f` debian/$(package)/usr/share/doc/$(package)/html/images/.
	install -m755 `find scripts -maxdepth 1 -type f ` debian/$(package)/usr/share/$(package)/actions/.
	cd debian/$(package)/usr/share/$(package); sh -c 'for FILE in actions/* ; do ln -s $$FILE; done'
	install -m755 `find scripts/tests -maxdepth 1 -type f ` debian/$(package)/usr/share/$(package)/tests/.
# Find configuration files
	# find debian/$(package)/etc/$(package) -name "*.conf" -not -type d | \
		# sed 's%debian/$(package)%%' >debian/conffiles
	# echo "/etc/init.d/$(package)" >>debian/conffiles
	# echo "/etc/apm/event.d/10$(package)" >>debian/conffiles
	# sort <debian/conffiles | uniq >debian/$(package)/DEBIAN/conffiles
# Install documentation
	install -m644 AUTHORS README VERSION TODO \
	  debian/$(package)/usr/share/doc/$(package)/.
	dh_installman man/whereami.8 man/detect.conf.5 man/whereami.conf.5
	dh_installchangelogs
	dh_compress
	install -m644 debian/copyright \
	  debian/$(package)/usr/share/doc/$(package)/copyright
	dh_fixperms
	# Set permissions on our helper scripts
	chmod 755 debian/$(package)/usr/share/$(package)/*
	dh_installdeb
	dh_perl
	dh_gencontrol
	sed '/:/s/, *$$//' debian/$(package)/DEBIAN/control \
	  >debian/$(package)/DEBIAN/control.new
	mv debian/$(package)/DEBIAN/control.new debian/$(package)/DEBIAN/control
	dh_md5sums
	dh_builddeb


# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

.PHONY: binary-arch binary-indep clean

## whereami 0.3.34-0.2

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Architecture: all
 Suggests: pcmcia-cs, fping, net-tools, ifplugd, ethtool, squid | oops
 Recommends: wireless-tools, resolvconf, iputils-arping
-Depends: perl, debconf (>= 1.2.9) | debconf-2.0, fping | iputils-ping | netbase | dhcp-client
+Depends: ${misc:Depends}, perl, fping | iputils-ping | netbase | dhcp-client
 Description: Automatically reconfigure your (laptop) system for a new location
  whereami is a set of useful scripts and a coordinating system for
  automatically re-locating your computer within the current (network)

=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,6 @@
 	dh_testroot
 	dh_clean -k
 	$(RM) -r debian/$(package)
-	dh_installdebconf
 # Install directories
 	dh_installdirs DEBIAN etc etc/init.d etc/$(package) \
 							etc/$(package) etc/apm etc/apm/scripts.d \
@@ -51,7 +50,7 @@
 							usr/share/doc/$(package)/html/images \
 							usr/share/doc/$(package)/patches/ \
 							usr/share/man usr/share/man/man8 \
-							var/run/whereami var/lib/whereami
+							var/lib/whereami
 
 # Install files
 	install bin/$(package) debian/$(package)/usr/sbin/.

## whereami 0.3.35

=== Makefile ===

all:
	cd man; $(MAKE)

=== man/Makefile ===

all: whereami.8 detect.conf.5 whereami.conf.5

whereami.8: whereami.sgml
	docbook-to-man $< > $@

detect.conf.5: detect.conf.sgml
	docbook-to-man $< > $@

whereami.conf.5: whereami.conf.sgml
	docbook-to-man $< > $@

=== debian/changelog ===
whereami (0.3.35) unstable; urgency=medium

  [ наб ]
  * This is a native package! 0.3.34-0.1 came right after 0.3.34
  * debhelper: >= 10 -> = 13
  * d/rules: no sequencer -> dh
    + patches moved from d/*.patch to d/doc/patches/
  * Drop /etc/dhcp3 (already ship identical in /etc/dhcp)
    (lintian package-installs-into-obsolete-dir)
  * d/copyright: DEP-5, inline d/gplcopynote
  * d/whereami.init: drop compat with /u/sbin/whereami.sh (removed in 2007)
  * d/whereami.prerm: drop `pwd`, account for cd failure, proper quoting
  * d/whereami.prerm: drop reference to /usr/doc/whereami, removed in 2005
  * d/whereami.network-hook: proper quoting, ` -> $(
  * debian/whereami.dhclient3-exit-hook: exec, no needless subshell
  * d/notes: rename to d/README.source
  * d/whereami.service: add (Closes: #1039418)
    + Pre-Depends: ${misc:Pre-Depends}
  * init.d-script-does-not-source-init-functions
  * Rules-Requires-Root: no
  * Standards-Version: 3.9.8 -> 4.7.0

  [ Andreas Tille ]
  * Maintainer: Debian QA Group <packages@qa.debian.org>
  * Vcs-Git: https://salsa.debian.org/debian/whereami.git

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sat, 23 Nov 2024 15:45:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,20 @@
 Source: whereami
 Section: net
-Priority: extra
-Maintainer: Andrew McMillan <debian@mcmillan.net.nz>
-Standards-Version: 3.6.1.0
-Build-Depends: debhelper (>= 4.1.16)
+Priority: optional
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: docbook-to-man
+Vcs-Browser: https://salsa.debian.org/debian/whereami
+Vcs-Git: https://salsa.debian.org/debian/whereami.git
+Rules-Requires-Root: no
 
 Package: whereami
 Architecture: all
-Suggests: pcmcia-cs, fping, net-tools, ifplugd, ethtool, squid | oops
+Suggests: fping, net-tools, ifplugd, ethtool, squid | oops
 Recommends: wireless-tools, resolvconf, iputils-arping
-Depends: ${misc:Depends}, perl, fping | iputils-ping | netbase | dhcp-client
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, perl, fping | iputils-ping | netbase | dhcp-client | isc-dhcp-client
 Description: Automatically reconfigure your (laptop) system for a new location
  whereami is a set of useful scripts and a coordinating system for
  automatically re-locating your computer within the current (network)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules file - for whereami
# Copyright 1999-2006 by Andrew McMillan
# Based on the pcmcia package by Brian Mays
# Patterned after the hello package by Ian Jackson.

override_dh_auto_clean:
	rm -f man/*.?

override_dh_installinit:
	dh_installinit --no-stop-on-upgrade --update-rcd-params="defaults 35 65"

override_dh_install:
	dh_install

# If we want to run other than in "pre-up" then we should include something like this.  At this stage just "pre-up" seems right-ish...
# 	(cd debian/whereami/etc/network; ln -s ../if-pre-up.d/whereami if-up.d/whereami; ln -s ../if-pre-up.d/whereami if-post-down.d/whereami; ln -s ../if-pre-up.d/whereami if-down.d/whereami)

	mkdir -p debian/whereami/etc/apm/scripts.d debian/whereami/etc/dhcp/dhclient-exit-hooks.d debian/whereami/etc/network/if-pre-up.d debian/whereami/usr/share/whereami
	install -m755 bin/whereami.apm         debian/whereami/etc/apm/scripts.d/whereami
	cp debian/whereami.dhclient3-exit-hook debian/whereami/etc/dhcp/dhclient-exit-hooks.d/whereami
	cp debian/whereami.network-hook        debian/whereami/etc/network/if-pre-up.d/whereami

	cp -r scripts debian/whereami/usr/share/whereami/actions
	cd debian/whereami/usr/share/whereami && chmod 755 actions/tests/* && mv actions/tests .
	cd debian/whereami/usr/share/whereami && ln -s actions/* .

%:
	dh $@

## whereami 0.3.36

=== debian/changelog ===
whereami (0.3.36) unstable; urgency=medium

  * QA upload.
  * debian/control:
    - Bump Standards-Version to "4.7.2".
    - Remove Rules-Requires-Root field.
  * debian/copyright: Update packaging copyright information.
  * debian/whereami.service: Add Documentation key.
  * man/detect.conf.sgml: Fix typos.

 -- Gustavo Quadri <gustavoquadri@alunos.utfpr.edu.br>  Sun, 30 Nov 2025 22:37:16 -0300

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 Section: net
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: docbook-to-man
 Vcs-Browser: https://salsa.debian.org/debian/whereami
 Vcs-Git: https://salsa.debian.org/debian/whereami.git
-Rules-Requires-Root: no
 
 Package: whereami
 Architecture: all

## whereami 0.3.37

=== debian/changelog ===
whereami (0.3.37) unstable; urgency=medium

  * QA upload.
  * Drop fping from Suggests, its already in Depends
  * Fix incorrect alternates in Depends
  * Switch isc-dhcp-client to dhcpcd-base as first dhcp-client alternative

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 04 Jan 2026 14:49:52 +0100

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
 
 Package: whereami
 Architecture: all
-Suggests: fping, net-tools, ifplugd, ethtool, squid | oops
+Suggests: net-tools, ifplugd, ethtool, squid | oops
 Recommends: wireless-tools, resolvconf, iputils-arping
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, perl, fping | iputils-ping | netbase | dhcp-client | isc-dhcp-client
+Depends: ${misc:Depends}, perl, fping | iputils-ping, netbase, dhcp-client | dhcpcd-base
 Description: Automatically reconfigure your (laptop) system for a new location
  whereami is a set of useful scripts and a coordinating system for
  automatically re-locating your computer within the current (network)
